---
title: Window.mozAnimationStartTime
slug: Web/API/Window/mozAnimationStartTime
tags:
  - API
  - HTML DOM
  - Obsolete
  - Property
  - Reference
  - Window
---
<p>{{APIRef("Mozilla Extensions")}}{{Non-standard_Header}}{{Obsolete_Header("Gecko42")}}</p>

<p>Returns the time, in milliseconds since the epoch, at which animations started now should be considered to have started. This value should be used instead of, for example, <code><a href="/en/JavaScript/Reference/Global_Objects/Date/now" title="en/JavaScript/Reference/Global Objects/Date/now">Date.now()</a></code>, because this value will be the same for all animations started in this window during this refresh interval, allowing them to remain in sync with one another.</p>

<p>This also allows JavaScript-based animations to remain synchronized with CSS transitions and SMIL animations triggered during the same refresh interval.</p>

<h2 id="Syntax">Syntax</h2>

<pre class="eval"><em>time</em> = window.mozAnimationStartTime;
</pre>

<h3 id="Parameters">Parameters</h3>

<ul>
 <li><em><code>time</code></em> is the time in milliseconds since the epoch at which animations for the current window should be considered to have started.</li>
</ul>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("api.Window.mozAnimationStartTime")}}</p>

<h2 id="See_also">See also</h2>

<ul>
 <li>{{domxref("window.mozRequestAnimationFrame()")}}</li>
 <li>{{domxref("window.onmozbeforepaint")}}</li>
</ul>
